<?php

namespace Litecms\Subcategory\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SubcategoriesTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Subcategory\Models\Subcategories $subcategories)
    {
        return [
            'id'                => $subcategories->getRouteKey(),
            'key'               => [
                'public'    => $subcategories->getPublicKey(),
                'route'     => $subcategories->getRouteKey(),
            ], 
            'category_id'       => $subcategories->category_id,
            'name'              => $subcategories->name,
            'description'       => $subcategories->description,
            'status'            => $subcategories->status,
            'url'               => [
                'public'    => trans_url('subcategory/'.$subcategories->getPublicKey()),
                'user'      => guard_url('subcategory/subcategories/'.$subcategories->getRouteKey()),
            ], 
            'status'            => trans('app.'.$subcategories->status),
            'created_at'        => format_date($subcategories->created_at),
            'updated_at'        => format_date($subcategories->updated_at),
        ];
    }
}